FLANG

Public Member Functions | List of all members
Fortran::runtime::io::CloseStatementState Class Reference
Inheritance diagram for Fortran::runtime::io::CloseStatementState:

## Public Member Functions
| CloseStatementState (ExternalFileUnit &unit, const char *sourceFile=nullptr, int sourceLine=0)
void | set_status (CloseStatus status)
int | EndIoStatement ()
Public Member Functions inherited from Fortran::runtime::io::ExternalIoStatementBase
| ExternalIoStatementBase (ExternalFileUnit &, const char *sourceFile=nullptr, int sourceLine=0)
ExternalFileUnit & | unit ()
MutableModes & | mutableModes ()
ConnectionState & | GetConnectionState ()
int | EndIoStatement ()
ExternalFileUnit * | GetExternalFileUnit ()
Public Member Functions inherited from Fortran::runtime::io::IoStatementBase
int | EndIoStatement ()
std::optional< DataEdit > | GetNextDataEdit (IoStatementState &, int=1)
ExternalFileUnit * | GetExternalFileUnit () const
Public Member Functions inherited from Fortran::runtime::io::DefaultFormatControlCallbacks
DataEdit | GetNextDataEdit (int=1)
bool | Emit (const char *, std::size_t)
bool | Emit (const char16_t *, std::size_t)
bool | Emit (const char32_t *, std::size_t)
std::optional< char32_t > | GetCurrentChar ()
bool | AdvanceRecord (int=1)
void | BackspaceRecord ()
void | HandleAbsolutePosition (std::int64_t)
void | HandleRelativePosition (std::int64_t)
| IoErrorHandler (const Terminator &that)
Public Member Functions inherited from Fortran::runtime::io::IoErrorHandler
| IoErrorHandler (const Terminator &that)
void | Begin (const char *sourceFileName, int sourceLine)
void | HasIoStat ()
void | HasErrLabel ()
void | HasEndLabel ()
void | HasEorLabel ()
void | HasIoMsg ()
bool | InError () const
void | SignalError (int iostatOrErrno, const char *msg,...)
void | SignalError (int iostatOrErrno)
template<typename... X>
void | SignalError (const char *msg, X &&... xs)
void | SignalErrno ()
void | SignalEnd ()
void | SignalEor ()
int | GetIoStat () const
bool | GetIoMsg (char *, std::size_t)
| Terminator ()
| Terminator (const Terminator &)=default
| Terminator (const char *sourceFileName, int sourceLine=0)
Public Member Functions inherited from Fortran::runtime::Terminator
| Terminator (const Terminator &)=default
| Terminator (const char *sourceFileName, int sourceLine=0)
void | SetLocation (const char *sourceFileName=nullptr, int sourceLine=0)
void | Crash (const char *message,...) const
void | CrashArgs (const char *message, va_list &) const
void | CheckFailed (const char *predicate, const char *file, int line) const

## Additional Inherited Members
Static Public Member Functions inherited from Fortran::runtime::Terminator
static void | RegisterCrashHandler (void(*)(const char *sourceFile, int sourceLine, const char *message, va_list &ap))

The documentation for this class was generated from the following files:

- runtime/io-stmt.h
- runtime/io-stmt.cpp